Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I decided to update to Oneiric using the update manager. At some point, I got this message:

The upgrade has aborted. Your system could be in an unusable state. A recovery will run now (dpkg --configure -a).

Then, later on:

The upgrade has completed but there were errors during the upgrade process.

What can I do?

EDIT: Update manager offers to perform a 'Partial Upgrade'. "865 updates have been selected. The updates have already been downloaded, but not installed". It still gives the option to upgrade to 11.10

share|improve this question
add comment

5 Answers

I clicked on the Ubuntu Software Center and it automatically repaired about four files then try to upgrade it again and it worked.

share|improve this answer
add comment
up vote 3 down vote accepted

Ok, this is how I solved the problem eventually: burn a live cd/USB, boot from it, go to 'install', and choose the Upgrade option.

share|improve this answer
add comment

I had the same issue on my computer. To fix this I went to /var/log/dist-upgrade/20111015-2104 where the 20111015-2104 will be the date + "-" + time that you tried to do the update, then look in the apt.log and see which package is failing.

In the log I had a bunch of errors such as:

Broken kdelibs5-plugins:i386 Breaks on kdevelop [ i386 ] < 4:4.0.2-0ubuntu2 -> 4:4.2.3-0ubuntu1 > ( devel ) (< 4:4.2) Considering kdevelop:i386 0 as a solution to kdelibs5-plugins:i386 193 Upgrading kdevelop:i386 due to Breaks field in kdelibs5-plugins:i386

to which I went ahead and started by removing the kdevelop package using synaptic package manager.

Hope this helps

share|improve this answer
    
Thanks, looks like an interesting solution BUT I get a very long list of broken packages (over 40), and I would need to remove packages like ubuntu-desktop. I don't think it's a good idea to try to remove that ... –  geoffrey Oct 16 '11 at 12:58
add comment

Your best option is to do a clean reinstall.

share|improve this answer
add comment

I had the same thing happen to me, after it had had problems with updating the samba package. Never fear, it has updated to 11.10. Restart and all should be well. I then found that the Update Manager which listed samba in the "distribution updates" section wouldn't update it, but I then tried it in Synaptic (which you will have installed because you're upgrading—Synaptic doesn't come installed on fresh installations of 11.10) and it upgraded fine.

So, don't worry. The error message is merely poorly done, I think.

share|improve this answer
    
thanks, but my problem must be different. I restarted, and I am still in Natty. Update manager still offers to upgrade to Oneiric. It also offers to do a 'partial upgrade'. –  geoffrey Oct 14 '11 at 8:17
1  
Just do it! ;) And dpkg --configure -a –  Extender Oct 14 '11 at 8:35
    
@Extender: put that as an answer –  Chris Morgan Oct 14 '11 at 11:46
    
I tried, I get this: Could not calculate the upgrade An unresolvable problem occurred while calculating the upgrade: E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages. This can be caused by: * Upgrading to a pre-release version of Ubuntu * Running the current pre-release version of Ubuntu * Unofficial software packages not provided by Ubuntu This is most likely a transient problem, please try again later. –  geoffrey Oct 14 '11 at 13:10
    
I think I'll try waiting a couple of days ... luckily my system is not broken (as far as I can tell) –  geoffrey Oct 14 '11 at 13:11
show 1 more comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.